GENtanh
Prev | Score Statements and GEN Routines | Next

## GENtanh

"tanh" — Generate a table with values on the tanh function.

## Description

Creates an ftable with values of the tanh function ....

## Syntax

    f # time size "tanh" start end rescale

## Initialization

size -- number of points in the table. Must be a power of 2 or power-of-2 plus 1 (see f statement).

start, end -- first and last value to be stored. The points stored are uniformly spaced between these to the table size

rescale -- if not zero the table is not rescaled

## Examples

Here is a simple example of the GENtanh routine. It uses the file gentanh.csd. It will generate a simple tanh shaped output wave.

Example 1008. A simple example of the GENtanh routine.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o gen01.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
       kamp = 30000
       ifn = 2
       ibas = 1

       ; Play the audio sample stored in Table #1.
       k1 oscil 1, 10, 1
       a1 oscil kamp*k1, 440, ifn
       out a1
    endin

    </CsInstruments>
    <CsScore>

    ; Table #1: read an audio file (using GEN01).
    f 1 0 131072 "tanh" 0.1 10 0
    f 2 0 8192 10 1

    ; Play Instrument #1 for 2 seconds.
    i 1 0 2
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

GENexp and GENsone.

## Credits

Written by John ffitch

Prev | Up | Next
GEN52 | Home | GENexp